Subject: Re: bug#70729: Flymake gives error when the buffer is narrowed

From: Vangelis Evangelou <[email-masked]>
Date: Tue, 7 May 2024 15:00:14 +0100

Hi Arash.

Thanks for your comment. I submitted it as an emacs bug, with bug id
#70816, in case you want to comment there.

Best,
Vangelis

On Mon, 6 May 2024 at 12:46, Arash Esbati <[email-masked]> wrote:

> Hi Vangelis,
>
> Vangelis Evangelou <[email-masked]> writes:
>
> > Yes, that's part of the problem. Can you please add a few new lines
> > before \documentclass, so that it looks like the first picture? Then
> > when you narrow again, you should get an error
> > error in process sentinel: flymake--highlight-line: Wrong type argument:
> integer-or-marker-p, nil
>
> This is what I see with "emacs -Q":
>
> Since it happens with vanilla Emacs & tex-mode.el as well: Can you
> please submit a bug report to Emacs with a recipe starting with "emacs
> -Q", so the developers there can reproduce it?  I could re-assign this
> report, but I think it makes sense to start a new one with a clear
> reproducer.
>
> TIA.  Best, Arash
>